package com.ruoyi.ems.mapper;

import com.ruoyi.ems.domain.OpEnergyStrategy;

import java.util.List;

/**
 * 能源策略Mapper接口
 *
 * @author ruoyi
 * @date 2024-08-08
 */
public interface OpEnergyStrategyMapper {
    /**
     * 查询能源策略
     *
     * @param id 能源策略主键
     * @return 能源策略
     */
    OpEnergyStrategy selectStrategyById(Long id);

    /**
     * 查询能源策略列表
     *
     * @param strategy 能源策略
     * @return 能源策略集合
     */
    List<OpEnergyStrategy> selectStrategyList(OpEnergyStrategy strategy);

    /**
     * 新增能源策略
     *
     * @param strategy 能源策略
     * @return 结果
     */
    int insertStrategy(OpEnergyStrategy strategy);

    /**
     * 修改能源策略
     *
     * @param strategy 能源策略
     * @return 结果
     */
    int updateStrategy(OpEnergyStrategy strategy);

    /**
     * 删除能源策略
     *
     * @param id 能源策略主键
     * @return 结果
     */
    int deleteStrategyById(Long id);

    /**
     * 批量删除能源策略
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteStrategyByIds(Long[] ids);
}
